<?php

   include("../scripts/connect.php");
include_once("../scripts/connect.php");
               include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
  
   $qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
  
           $id_inv=$rrc[0];
	
  
  
  
  
  
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  $id_cd =$_POST['listacd']; 
$tipon =$_POST['nota']; 
$rfcs =$_POST['rfca']; 
$texti="";

if($rfcs=="TODOS"){
echo"<center><br>";
 
 $q2 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, sum(porpagar) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones WHERE porpagar>0 and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6) and fechat between '$fecha1' and '$fecha2' group by rfc";	 

  $c2 = mysql_query($q2) or die ('Errord en la consulta' . mysql_error());
  //
  if(mysql_affected_rows())
   {
  echo"<br><br><font size=\"+2\">Ventas anal&iacute;ticas  $fecha1 al $fecha2</font><br><br>
  <table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
			<th>RFC</th><th>Nombre</th><th>Por Pagar</th>
";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   
	  
	
	 	 
	 /*$qp4 = "select sum(puntos) as tot from transacciones join asignaciones on transacciones.idtransacciones=
	 asignaciones.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones where nsalida=\"$a7\"";
  $cp4 = mysql_query($qp4) or die ('Errorq (Registro No Encontrado): ' . mysql_error());
  $rp4 = mysql_fetch_object($cp4);
  $asig = $rp4->tot;	*/
	  $totabo2=0;
	
	
	   $a0 = $r1[0];
	
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	$a7 = $r1[7];

	 //  $ctot+=$a4;
	  echo"<tr><td>$a0</td><td>$a1 $a2 $a3</td><td>$a7</td><td>	<form name=\"busca\" action=\"creditos2.php\" method=\"post\"  target=\"_blank\"><input type=\"submit\" name=\"Mas Info\" id=\"continuar\" value=\"Ver Mas\" />
	  <input type=hidden name=fecha_i value=$fecha1 />
	  <input type=hidden name=fecha_f value=$fecha2 />
	  <input type=hidden name=rfca value=$a0 />
	
		  </form> </td></tr>";
}
echo"</table><br>";
}





	
}else{

           $vef=0;
           $vdep=0;
		   $vtarj=0;
           $vns=0;
           $vas=0;
           $vreg=0;
           $vvou=0;
		   $ppag=0;
		   $preg=0;
		   $pvou=0;
		   $ctot=0;
		   $ptot=0;
		   $pasig=0;
           
  /*$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM inversionista, transacciones, usuarios_ci  WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr='10' and usuarios_ci.idusuarios_ci='".$id_cd."' and fechat =curdate() ";*/
  echo"<center><br>";
 
 $q2 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, efectivo, deposito, tarjeta, regalias, voucher, porpagar, consec, usuarios_ci_idusuarios_ci, cdentrega, statusentrega, inversionista_id_inver FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones 
  WHERE (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6) and rfc='$rfcs' and fechat between '$fecha1' and '$fecha2' order by idtransacciones";	 

  $c2 = mysql_query($q2) or die ('Errord en la consulta' . mysql_error());
  //
  if(mysql_affected_rows())
   {
  echo"<br><br><font size=\"+2\">Ventas anal&iacute;ticas  $fecha1 al $fecha2</font><br><br>";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   
	  
	
	 	 
	 /*$qp4 = "select sum(puntos) as tot from transacciones join asignaciones on transacciones.idtransacciones=
	 asignaciones.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones where nsalida=\"$a7\"";
  $cp4 = mysql_query($qp4) or die ('Errorq (Registro No Encontrado): ' . mysql_error());
  $rp4 = mysql_fetch_object($cp4);
  $asig = $rp4->tot;	*/
	  $totabo2=0;
	
	
	   $a0 = $r1[0];
	
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	$a7 = $r1[7];
	  $a8 = $r1[8];
	   $a9 = $r1[9];
	    $a10 = $r1[10];
		 $a11 = $r1[11];
		  $a12 = $r1[12];
		   $a13 = $r1[13];
		    $a14 = $r1[14];
			 $a15 = $r1[15];
			 $a16 = $r1[16];
			 $a17 = $r1[17];
			 $a18 = $r1[18];
			 $a19 = $r1[19];
	   $vef+=$a9;
	   $vdep+=$a10;
	   $vtarj+=$a11;
	   $vreg+=$a12;
	   $vvou+=$a13;
	   $ppag+=$a14;
	   $pasig+=$pp;
	 //  $ctot+=$a4;
	   $ptot+=$a5;
	  if($a8==6){$tiponota="<font color='red'>OtraSal</font>";}
	  if($a8==10){$tiponota="<font color='green'>Venta</font>";}
	  if($a8==11){$tiponota="<font color='blue'>Salida</font>";}
	        echo"<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
			<th></th><th>Pedido</th><th>Trans</th><th>Tipo</th><th>Fecha</th><th>CDE</th><th>Status</th><th>Compras</th><th>Puntos</th><th>EFECTIVO</th><th>DEPOSITO</th><th>TARJETA</th><th>Voucher</th><th>Por Pagar</th>
			
			</tr><tr><form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\"><td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" /><input type=hidden name=pedido value=$a7 />
	<input type=hidden name=centro value=$a16 />
	<input type=hidden name=dist value=$a19 /><input type=hidden name=tipon value=$a8 />
		  </form></td><td>$a16"."-"."$a15</td><td>$a7</td><td>$tiponota</td><td>$a6</td><td>$a17</td><td>$a18</td><td>$a4</td><td>$a5</td><td>$a9</td><td>$a10</td><td>$a11</td><td>$a13</td><td>$a14</td></tr></table><br>";
	  
	  
	  if($a8==6){
		  
		 	
	echo"<b>Producto Entregado</b><bR><table border=1><th>Cantidad</th><th>Producto</th><th>ID</th>";

		
	$linea="SELECT cant, nombreProd, id_prod FROM pedido join productos on pedido.productos_idprod=productos.id_prod where pedido.transacciones_idtransacciones='$a7' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[1]</td><td>$ral[2]</td></TR>";
	   
	


	};
	echo"</table><br>";
	
 
		  
	  }else{
	  
	$qPP1 = "SELECT monto, folio, depositos_transaccion.tipo as tipo, fecha, cuenta, numero, id_voucher FROM depositos_transaccion join bancos on depositos_transaccion.idbanco=bancos.idbanco where idtransacciones=$a7";

$rPP1 = mysql_query($qPP1) or die ('ErrPP: '. mysql_error());

if(mysql_affected_rows())
{


echo "<center><b>Lista de pagos</b><table border=\"1\">
<th>Fecha</th><th>Tipo</th><th>Monto</th><th>Banco</th><th>Folio</th><th>Voucher</th>";


while (($objetoPP=mysql_fetch_object($rPP1)) )

{
echo"";
$tipoab=$objetoPP->tipo;
	$totabo2+=$objetoPP->monto;
	$elvoucher=$objetoPP->id_voucher;
	if($tipoab==1){$elabono="TC";}
	if($tipoab==2){$elabono="Deposito";}
	if($tipoab==3){$elabono="Efectivo";}
	if($tipoab==4){$elabono="Voucher";}
	if($tipoab==5){$elabono="TPV";}

	
	
	
	echo "<tr>

	
		
			<td align=\"center\">$objetoPP->fecha</td>
			<td align=\"center\">$elabono</td>
			<td align=\"center\">$objetoPP->monto</td>
			<td align=\"center\">$objetoPP->cuenta $objetoPP->numero</td>";
			
	if($elvoucher>=1)		{
		$qp = "select inversionista.referencia as referencia, nombre, appat, apmat from depositos_transaccion join voucher on depositos_transaccion.id_voucher=voucher.idv join inversionista on voucher.id_inv=inversionista.id_inver where id_voucher='$elvoucher'";
$cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());

	$rp = mysql_fetch_object($cp);	
		
		
		echo"<td align=\"center\">$rp->referencia $rp->nombre $rp->appat $rp->apmat</td>";
		
		
	}else{echo"<td align=\"center\">$objetoPP->folio</td>";}
			
			
			
			echo"
			<td align=\"center\">$elvoucher</td>
			</tr>";
	
	
	
			}
	
	echo"</table>Total Abonado $ $totabo2<br><br>";
	
}
//se cierra if tipo 6
}

	}
                                             }
                                             
                               
    $ctot=$vef+$vtarj+$vdep+$vreg+$vvou+$ppag;
									   echo"<br>Resumen:
	<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><tr><th>Compras</th><th>Puntos</th><th>Efectivo</th><th>Depositos</th><th>Tarjeta</th><th>Regalias</th><th>Voucher</th><th>Por Pagar </th></tr>
	<tr><td>$ $ctot</td><td>$ptot</td><td>$ $vef</td><td>$ $vdep</td><td>$ $vtarj</td><td>$vreg</td><td>$vvou</td><td>$ $ppag</td>
	<td>
		  
			<form name=\"busca\" action=\"reticket.php\" method=\"post\"><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"RT\" /><input type=hidden name=transacc value=$a7 />
	
		  </form></td>
	
	</tr>
	
	
	
	</table>
	<br><br>Total de puntos pendientes por asignar: $pasig<br><br>";}
            
?>